## r-cran-data.table 1.10.0

=== DESCRIPTION ===
Package: data.table
Version: 1.10.0
Title: Extension of `data.frame`
Authors@R: c(
  person("Matt","Dowle",      role=c("aut","cre"), email="mattjdowle@gmail.com"),
  person("Arun","Srinivasan", role="aut", email="arunkumar.sriniv@gmail.com"),
  person("Jan","Gorecki",     role="ctb"),
  person("Tom","Short",       role="ctb"),
  person("Steve","Lianoglou", role="ctb"),
  person("Eduard","Antonyan", role="ctb") )
Depends: R (>= 3.0.0)
Imports: methods
Suggests: bit64, knitr, chron, ggplot2 (>= 0.9.0), plyr, reshape,
        reshape2, testthat (>= 0.4), hexbin, fastmatch, nlme, xts,
        gdata, GenomicRanges, caret, curl, zoo, plm, rmarkdown,
        parallel
Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, a fast friendly file reader and parallel file writer. Offers a natural and flexible syntax, for faster development.
License: GPL-3 | file LICENSE
URL: http://r-datatable.com
BugReports: https://github.com/Rdatatable/data.table/issues
MailingList: datatable-help@lists.r-forge.r-project.org
VignetteBuilder: knitr
ByteCompile: TRUE
NeedsCompilation: yes
Packaged: 2016-12-02 19:25:45.346 UTC; mdowle
Author: Matt Dowle [aut, cre],
  Arun Srinivasan [aut],
  Jan Gorecki [ctb],
  Tom Short [ctb],
  Steve Lianoglou [ctb],
  Eduard Antonyan [ctb]
Maintainer: Matt Dowle <mattjdowle@gmail.com>
Repository: CRAN
Date/Publication: 2016-12-03 11:05:23

## r-cran-data.table 1.9.6

=== debian/changelog ===
r-cran-data.table (1.9.6-1) unstable; urgency=low

  * Initial release (Closes: #796552)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Mar 2016 21:32:09 +0100

=== debian/control ===
Source: r-cran-data.table
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-chron
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-data.table.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-data.table.git
Homepage: https://cran.r-project.org/web/packages/data.table/

Package: r-cran-data.table
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends},
         r-cran-chron
Description: GNU R extension of Data.frame
 Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins,
 fast add/modify/delete of columns by group using no copies at all, list
 columns and a fast file reader (fread). Offers a natural and flexible
 syntax, for faster development.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/data.table_([-0-9\.]*).tar.gz

## r-cran-data.table 1.10.0

=== debian/changelog ===
r-cran-data.table (1.10.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 13:58:48 +0000

r-cran-data.table (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Convert to dh-r
  * Canonical homepage for CRAN
  * debhelper 10
  * d/watch: version=4
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 16:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                r-cran-chron
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-data.table.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-data.table.git
-Homepage: https://cran.r-project.org/web/packages/data.table/
+Homepage: https://cran.r-project.org/package=data.table
 
 Package: r-cran-data.table
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${R:Depends},
-         r-cran-chron
+         ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R extension of Data.frame
  Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins,
  fast add/modify/delete of columns by group using no copies at all, list

## r-cran-data.table 1.10.4

=== DESCRIPTION ===
Package: data.table
Version: 1.10.4-3
Title: Extension of `data.frame`
Authors@R: c(
  person("Matt","Dowle",      role=c("aut","cre"), email="mattjdowle@gmail.com"),
  person("Arun","Srinivasan", role="aut", email="arunkumar.sriniv@gmail.com"),
  person("Jan","Gorecki",     role="ctb"),
  person("Tom","Short",       role="ctb"),
  person("Steve","Lianoglou", role="ctb"),
  person("Eduard","Antonyan", role="ctb") )
Depends: R (>= 3.0.0)
Imports: methods
Suggests: bit64, knitr, nanotime, chron, ggplot2 (>= 0.9.0), plyr,
        reshape, reshape2, testthat (>= 0.4), hexbin, fastmatch, nlme,
        xts, gdata, GenomicRanges, caret, curl, zoo, plm, rmarkdown,
        parallel
Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, a fast friendly file reader and parallel file writer. Offers a natural and flexible syntax, for faster development.
License: GPL-3 | file LICENSE
URL: http://r-datatable.com
BugReports: https://github.com/Rdatatable/data.table/issues
MailingList: datatable-help@lists.r-forge.r-project.org
VignetteBuilder: knitr
ByteCompile: TRUE
NeedsCompilation: yes
Packaged: 2017-10-19 21:11:19.239 UTC; mdowle
Author: Matt Dowle [aut, cre],
  Arun Srinivasan [aut],
  Jan Gorecki [ctb],
  Tom Short [ctb],
  Steve Lianoglou [ctb],
  Eduard Antonyan [ctb]
Maintainer: Matt Dowle <mattjdowle@gmail.com>
Repository: CRAN
Date/Publication: 2017-10-27 07:40:34 UTC

## r-cran-data.table 1.10.4-3

=== debian/changelog ===
r-cran-data.table (1.10.4-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 11 Nov 2017 14:49:28 +0100

r-cran-data.table (1.10.4-2-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1
  * Use Debian packaged MathJax

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:36:56 +0200

r-cran-data.table (1.10.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 09:02:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-chron
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-data.table.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
@@ -17,7 +17,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${R:Depends}
+         ${R:Depends},
+         libjs-mathjax
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R extension of Data.frame

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/data.table_([-0-9\.]*).tar.gz

## r-cran-data.table 1.11.4

=== debian/changelog ===
r-cran-data.table (1.11.4-2) unstable; urgency=medium

  * Adapt test to new upstream test method
    Closes: #900494
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 18:20:25 +0200

r-cran-data.table (1.11.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 08:57:25 +0200

r-cran-data.table (1.11.2-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>

 -- Andreas Tille <tille@debian.org>  Thu, 10 May 2018 11:55:15 +0200

r-cran-data.table (1.11.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Document binary file in debian/README.source

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 09:07:58 +0200

=== debian/control ===
Source: r-cran-data.table
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
Homepage: https://cran.r-project.org/package=data.table

Package: r-cran-data.table
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R extension of Data.frame
 Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins,
 fast add/modify/delete of columns by group using no copies at all, list
 columns and a fast file reader (fread). Offers a natural and flexible
 syntax, for faster development.

## r-cran-data.table 1.12.0+dfsg

=== DESCRIPTION ===
Package: data.table
Version: 1.12.0
Title: Extension of `data.frame`
Authors@R: c(
  person("Matt","Dowle",      role=c("aut","cre"), email="mattjdowle@gmail.com"),
  person("Arun","Srinivasan", role="aut",          email="arunkumar.sriniv@gmail.com"),
  person("Jan","Gorecki",     role="ctb"),
  person("Michael","Chirico", role="ctb"),
  person("Pasha","Stetsenko", role="ctb"),
  person("Tom","Short",       role="ctb"),
  person("Steve","Lianoglou", role="ctb"),
  person("Eduard","Antonyan", role="ctb"),
  person("Markus","Bonsch",   role="ctb"),
  person("Hugh","Parsonage",  role="ctb"),
  person("Scott","Ritchie",   role="ctb"))
Depends: R (>= 3.1.0)
Imports: methods
Suggests: bit64, curl, R.utils, knitr, xts, nanotime, zoo
Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, friendly and fast character-separated-value read/write. Offers a natural and flexible syntax, for faster development.
License: MPL-2.0 | file LICENSE
URL: http://r-datatable.com
BugReports: https://github.com/Rdatatable/data.table/issues
VignetteBuilder: knitr
ByteCompile: TRUE
NeedsCompilation: yes
Packaged: 2019-01-12 04:09:37.913 UTC; mdowle
Author: Matt Dowle [aut, cre],
  Arun Srinivasan [aut],
  Jan Gorecki [ctb],
  Michael Chirico [ctb],
  Pasha Stetsenko [ctb],
  Tom Short [ctb],
  Steve Lianoglou [ctb],
  Eduard Antonyan [ctb],
  Markus Bonsch [ctb],
  Hugh Parsonage [ctb],
  Scott Ritchie [ctb]
Maintainer: Matt Dowle <mattjdowle@gmail.com>
Repository: CRAN
Date/Publication: 2019-01-13 11:50:03 UTC

=== debian/changelog ===
r-cran-data.table (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Dylan Aïssi <daissi@debian.org>  Tue, 15 Jan 2019 19:44:00 +0100

r-cran-data.table (1.11.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Oct 2018 07:44:06 +0200

r-cran-data.table (1.11.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 20 Sep 2018 21:47:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table

## r-cran-data.table 1.12.2+dfsg

=== debian/changelog ===
r-cran-data.table (1.12.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Jul 2019 22:04:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table

## r-cran-data.table 1.12.8+dfsg

=== DESCRIPTION ===
Package: data.table
Version: 1.12.8
Title: Extension of `data.frame`
Authors@R: c(
  person("Matt","Dowle",           role=c("aut","cre"), email="mattjdowle@gmail.com"),
  person("Arun","Srinivasan",      role="aut",          email="arunkumar.sriniv@gmail.com"),
  person("Jan","Gorecki",          role="ctb"),
  person("Michael","Chirico",      role="ctb"),
  person("Pasha","Stetsenko",      role="ctb"),
  person("Tom","Short",            role="ctb"),
  person("Steve","Lianoglou",      role="ctb"),
  person("Eduard","Antonyan",      role="ctb"),
  person("Markus","Bonsch",        role="ctb"),
  person("Hugh","Parsonage",       role="ctb"),
  person("Scott","Ritchie",        role="ctb"),
  person("Kun","Ren",              role="ctb"),
  person("Xianying","Tan",         role="ctb"),
  person("Rick","Saporta",         role="ctb"),
  person("Otto","Seiskari",        role="ctb"),
  person("Xianghui","Dong",        role="ctb"),
  person("Michel","Lang",          role="ctb"),
  person("Watal","Iwasaki",        role="ctb"),
  person("Seth","Wenchel",         role="ctb"),
  person("Karl","Broman",          role="ctb"),
  person("Tobias","Schmidt",       role="ctb"),
  person("David","Arenburg",       role="ctb"),
  person("Ethan","Smith",          role="ctb"),
  person("Francois","Cocquemas",   role="ctb"),
  person("Matthieu","Gomez",       role="ctb"),
  person("Philippe","Chataignon",  role="ctb"),
  person("Declan","Groves",        role="ctb"),
  person("Daniel","Possenriede",   role="ctb"),
  person("Felipe","Parages",       role="ctb"),
  person("Denes","Toth",           role="ctb"),
  person("Mus","Yaramaz-David",    role="ctb"),
  person("Ayappan","Perumal",      role="ctb"),
  person("James","Sams",           role="ctb"),
  person("Martin","Morgan",        role="ctb"),
  person("Michael","Quinn",        role="ctb"),
  person("@javrucebo","",          role="ctb"),
  person("@marc-outins","",        role="ctb"),
  person("Roy","Storey",           role="ctb"),
  person("Manish","Saraswat",      role="ctb"),
  person("Morgan","Jacob",         role="ctb"),
  person("Michael","Schubmehl",    role="ctb"),
  person("Davis","Vaughan",        role="ctb"))
Depends: R (>= 3.1.0)
Imports: methods
Suggests: bit64, curl, R.utils, knitr, xts, nanotime, zoo, yaml
SystemRequirements: zlib
Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, friendly and fast character-separated-value read/write. Offers a natural and flexible syntax, for faster development.
License: MPL-2.0 | file LICENSE
URL: http://r-datatable.com, https://Rdatatable.gitlab.io/data.table,
        https://github.com/Rdatatable/data.table
BugReports: https://github.com/Rdatatable/data.table/issues
VignetteBuilder: knitr
ByteCompile: TRUE
NeedsCompilation: yes
Packaged: 2019-12-08 22:28:25.859 UTC; mdowle
Author: Matt Dowle [aut, cre],
  Arun Srinivasan [aut],
  Jan Gorecki [ctb],
  Michael Chirico [ctb],
  Pasha Stetsenko [ctb],
  Tom Short [ctb],
  Steve Lianoglou [ctb],
  Eduard Antonyan [ctb],
  Markus Bonsch [ctb],
  Hugh Parsonage [ctb],
  Scott Ritchie [ctb],
  Kun Ren [ctb],
  Xianying Tan [ctb],
  Rick Saporta [ctb],
  Otto Seiskari [ctb],
  Xianghui Dong [ctb],
  Michel Lang [ctb],
  Watal Iwasaki [ctb],
  Seth Wenchel [ctb],
  Karl Broman [ctb],
  Tobias Schmidt [ctb],
  David Arenburg [ctb],
  Ethan Smith [ctb],
  Francois Cocquemas [ctb],
  Matthieu Gomez [ctb],
  Philippe Chataignon [ctb],
  Declan Groves [ctb],
  Daniel Possenriede [ctb],
  Felipe Parages [ctb],
  Denes Toth [ctb],
  Mus Yaramaz-David [ctb],
  Ayappan Perumal [ctb],
  James Sams [ctb],
  Martin Morgan [ctb],
  Michael Quinn [ctb],
  @javrucebo [ctb],
  @marc-outins [ctb],
  Roy Storey [ctb],
  Manish Saraswat [ctb],
  Morgan Jacob [ctb],
  Michael Schubmehl [ctb],
  Davis Vaughan [ctb]
Maintainer: Matt Dowle <mattjdowle@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-09 10:30:10 UTC

=== debian/changelog ===
r-cran-data.table (1.12.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 08:40:17 +0100

r-cran-data.table (1.12.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 21:27:04 +0100

r-cran-data.table (1.12.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 09:37:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table

## r-cran-data.table 1.13.0+dfsg

=== debian/changelog ===
r-cran-data.table (1.13.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Jul 2020 07:33:10 +0200

r-cran-data.table (1.12.8+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add upstream patch to fix foverlaps failures due to c.POSIXct
     change (Closes: #962497) Thanks Dirk for your investigation.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 10 Jun 2020 07:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
+Rules-Requires-Root: no
 
 Package: r-cran-data.table
 Architecture: any

## r-cran-data.table 1.13.6+dfsg

=== debian/changelog ===
r-cran-data.table (1.13.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jan 2021 12:00:25 +0100

r-cran-data.table (1.13.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 14:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table

## r-cran-data.table 1.14.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: data.table
-Version: 1.12.8
+Version: 1.14.2
 Title: Extension of `data.frame`
 Authors@R: c(
   person("Matt","Dowle",           role=c("aut","cre"), email="mattjdowle@gmail.com"),
-  person("Arun","Srinivasan",      role="aut",          email="arunkumar.sriniv@gmail.com"),
+  person("Arun","Srinivasan",      role="aut",          email="asrini@pm.me"),
   person("Jan","Gorecki",          role="ctb"),
   person("Michael","Chirico",      role="ctb"),
   person("Pasha","Stetsenko",      role="ctb"),
@@ -28,6 +28,10 @@
   person("Francois","Cocquemas",   role="ctb"),
   person("Matthieu","Gomez",       role="ctb"),
   person("Philippe","Chataignon",  role="ctb"),
+  person("Nello","Blaser",         role="ctb"),
+  person("Dmitry","Selivanov",     role="ctb"),
+  person("Andrey","Riabushenko",   role="ctb"),
+  person("Cheng","Lee",            role="ctb"),
   person("Declan","Groves",        role="ctb"),
   person("Daniel","Possenriede",   role="ctb"),
   person("Felipe","Parages",       role="ctb"),
@@ -43,20 +47,35 @@
   person("Manish","Saraswat",      role="ctb"),
   person("Morgan","Jacob",         role="ctb"),
   person("Michael","Schubmehl",    role="ctb"),
-  person("Davis","Vaughan",        role="ctb"))
+  person("Davis","Vaughan",        role="ctb"),
+  person("Toby","Hocking",         role="ctb"),
+  person("Leonardo","Silvestri",   role="ctb"),
+  person("Tyson","Barrett",        role="ctb"),
+  person("Jim","Hester",           role="ctb"),
+  person("Anthony","Damico",       role="ctb"),
+  person("Sebastian","Freundt",    role="ctb"),
+  person("David","Simons",         role="ctb"),
+  person("Elliott","Sales de Andrade", role="ctb"),
+  person("Cole","Miller",          role="ctb"),
+  person("Jens Peder","Meldgaard", role="ctb"),
+  person("Vaclav","Tlapak",        role="ctb"),
+  person("Kevin","Ushey",          role="ctb"),
+  person("Dirk","Eddelbuettel",    role="ctb"),
+  person("Ben","Schwen",           role="ctb"))
 Depends: R (>= 3.1.0)
 Imports: methods
-Suggests: bit64, curl, R.utils, knitr, xts, nanotime, zoo, yaml
+Suggests: bit64 (>= 4.0.0), bit (>= 4.0.4), curl, R.utils, xts,
+        nanotime, zoo (>= 1.8-1), yaml, knitr, rmarkdown
 SystemRequirements: zlib
 Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, friendly and fast character-separated-value read/write. Offers a natural and flexible syntax, for faster development.
 License: MPL-2.0 | file LICENSE
-URL: http://r-datatable.com, https://Rdatatable.gitlab.io/data.table,
+URL: https://r-datatable.com, https://Rdatatable.gitlab.io/data.table,
         https://github.com/Rdatatable/data.table
 BugReports: https://github.com/Rdatatable/data.table/issues
 VignetteBuilder: knitr
 ByteCompile: TRUE
 NeedsCompilation: yes
-Packaged: 2019-12-08 22:28:25.859 UTC; mdowle
+Packaged: 2021-09-23 03:10:37 UTC; mdowle
 Author: Matt Dowle [aut, cre],
   Arun Srinivasan [aut],
   Jan Gorecki [ctb],
@@ -83,6 +102,10 @@
   Francois Cocquemas [ctb],
   Matthieu Gomez [ctb],
   Philippe Chataignon [ctb],
+  Nello Blaser [ctb],
+  Dmitry Selivanov [ctb],
+  Andrey Riabushenko [ctb],
+  Cheng Lee [ctb],
   Declan Groves [ctb],
   Daniel Possenriede [ctb],
   Felipe Parages [ctb],
@@ -98,7 +121,21 @@
   Manish Saraswat [ctb],
   Morgan Jacob [ctb],
   Michael Schubmehl [ctb],
-  Davis Vaughan [ctb]
+  Davis Vaughan [ctb],
+  Toby Hocking [ctb],
+  Leonardo Silvestri [ctb],
+  Tyson Barrett [ctb],
+  Jim Hester [ctb],
+  Anthony Damico [ctb],
+  Sebastian Freundt [ctb],
+  David Simons [ctb],
+  Elliott Sales de Andrade [ctb],
+  Cole Miller [ctb],
+  Jens Peder Meldgaard [ctb],
+  Vaclav Tlapak [ctb],
+  Kevin Ushey [ctb],
+  Dirk Eddelbuettel [ctb],
+  Ben Schwen [ctb]
 Maintainer: Matt Dowle <mattjdowle@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-09 10:30:10 UTC
+Date/Publication: 2021-09-27 16:30:02 UTC

=== debian/changelog ===
r-cran-data.table (1.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 08:23:50 +0200

r-cran-data.table (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 21:34:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table

## r-cran-data.table 1.14.6+dfsg

=== debian/changelog ===
r-cran-data.table (1.14.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:38:44 +0100

r-cran-data.table (1.14.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 13:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-data.table
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Alba Crespi <crespialba+debian@gmail.com>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
+Homepage: https://cran.r-project.org/package=data.table
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
-Homepage: https://cran.r-project.org/package=data.table
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-data.table
 Architecture: any

## r-cran-data.table 1.14.8+dfsg

=== debian/changelog ===
r-cran-data.table (1.14.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 11:21:38 +0100

## r-cran-data.table 1.14.10+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: data.table
-Version: 1.14.2
+Version: 1.14.10
 Title: Extension of `data.frame`
 Authors@R: c(
-  person("Matt","Dowle",           role=c("aut","cre"), email="mattjdowle@gmail.com"),
+  person("Tyson", "Barrett",       role=c("aut","cre"), email="t.barrett88@gmail.com"),
+  person("Matt","Dowle",           role=c("aut"),       email="mattjdowle@gmail.com"),
   person("Arun","Srinivasan",      role="aut",          email="asrini@pm.me"),
   person("Jan","Gorecki",          role="ctb"),
   person("Michael","Chirico",      role="ctb"),
@@ -50,7 +51,6 @@
   person("Davis","Vaughan",        role="ctb"),
   person("Toby","Hocking",         role="ctb"),
   person("Leonardo","Silvestri",   role="ctb"),
-  person("Tyson","Barrett",        role="ctb"),
   person("Jim","Hester",           role="ctb"),
   person("Anthony","Damico",       role="ctb"),
   person("Sebastian","Freundt",    role="ctb"),
@@ -75,8 +75,9 @@
 VignetteBuilder: knitr
 ByteCompile: TRUE
 NeedsCompilation: yes
-Packaged: 2021-09-23 03:10:37 UTC; mdowle
-Author: Matt Dowle [aut, cre],
+Packaged: 2023-12-07 20:49:55 UTC; tysonbarrett
+Author: Tyson Barrett [aut, cre],
+  Matt Dowle [aut],
   Arun Srinivasan [aut],
   Jan Gorecki [ctb],
   Michael Chirico [ctb],
@@ -124,7 +125,6 @@
   Davis Vaughan [ctb],
   Toby Hocking [ctb],
   Leonardo Silvestri [ctb],
-  Tyson Barrett [ctb],
   Jim Hester [ctb],
   Anthony Damico [ctb],
   Sebastian Freundt [ctb],
@@ -136,6 +136,6 @@
   Kevin Ushey [ctb],
   Dirk Eddelbuettel [ctb],
   Ben Schwen [ctb]
-Maintainer: Matt Dowle <mattjdowle@gmail.com>
+Maintainer: Tyson Barrett <t.barrett88@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-09-27 16:30:02 UTC
+Date/Publication: 2023-12-08 11:20:12 UTC

=== vignettes/Makefile ===
# Makefile to use knitr for package vignettes

clean:
	rm -rf *.tex *.bbl *.blg *.aux *.out *.toc *.log *.spl *tikzDictionary *.md figure/

%.html: %.Rmd
	$(R_HOME)/bin/Rscript -e "if (getRversion() < '3.0.0') knitr::knit2html('$*.Rmd')"

=== debian/changelog ===
r-cran-data.table (1.14.10+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:38:56 +0100

r-cran-data.table (1.14.8+dfsg2-2) unstable; urgency=medium

  * Add patch from upstream to pass tests on 32bit archs
    Closes: #1057296

 -- Andreas Tille <tille@debian.org>  Sun, 03 Dec 2023 11:17:46 +0100

r-cran-data.table (1.14.8+dfsg2-1) unstable; urgency=medium

  * Remove inst/cc from upstream source to enable building twice in a row
    Closes: #1048007

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 11:11:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64 (>= 4.0.0),
        r-cran-bit (>= 4.0.4),
        r-cran-curl,
        r-cran-r.utils,
        r-cran-xts,
        r-cran-nanotime,
        r-cran-zoo (>= 1.8-1),
        r-cran-yaml,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-data.table 1.15.4+dfsg

=== debian/changelog ===
r-cran-data.table (1.15.4+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * inst/tests/tests.Rraw: Correct one-char type introduced applying patch

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 May 2024 07:08:24 -0500

r-cran-data.table (1.15.4+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * inst/tests/tests.Rraw: Applied patch from '1.15.4...debian_patch'
    branch which includes previous patch, cf #6146 at upstream repo;
    should help with both autopkgtest issues    (Closes: #1071737)
  * debian/control: Remove myself from uploaders
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 May 2024 15:43:47 -0500

r-cran-data.table (1.15.4+dfsg-2) unstable; urgency=medium

  * inst/tests/tests.Rraw: Applying upstream patch from PR #6146 in
    attempt to unblock the i386 test failure	(Closes: #1070839)
  * debian/control: Added myself from uploaders

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 May 2024 16:37:38 -0500

r-cran-data.table (1.15.4+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1070009
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Apr 2024 18:57:36 +0200

## r-cran-data.table 1.16.2+dfsg

=== debian/changelog ===
r-cran-data.table (1.16.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Oct 2024 08:08:52 +0900

r-cran-data.table (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 14:24:44 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-data.table 1.16.4+dfsg

=== debian/changelog ===
r-cran-data.table (1.16.4+dfsg-1) unstable; urgency=medium

  * Drop Alba from Uploaders (thank you for your previous work on this
    package)
  * New upstream version
  * Drop default 'Rules-Requires-Root: no' from debian/control (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2025 16:57:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Alba Crespi <crespialba+debian@gmail.com>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

## r-cran-data.table 1.17.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,27 @@
 Package: data.table
-Version: 1.14.10
+Version: 1.17.0
 Title: Extension of `data.frame`
+Depends: R (>= 3.3.0)
+Imports: methods
+Suggests: bit64 (>= 4.0.0), bit (>= 4.0.4), R.utils, xts, zoo (>=
+        1.8-1), yaml, knitr, markdown
+Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, friendly and fast character-separated-value read/write. Offers a natural and flexible syntax, for faster development.
+License: MPL-2.0 | file LICENSE
+URL: https://r-datatable.com, https://Rdatatable.gitlab.io/data.table,
+        https://github.com/Rdatatable/data.table
+BugReports: https://github.com/Rdatatable/data.table/issues
+VignetteBuilder: knitr
+Encoding: UTF-8
+ByteCompile: TRUE
 Authors@R: c(
-  person("Tyson", "Barrett",       role=c("aut","cre"), email="t.barrett88@gmail.com"),
-  person("Matt","Dowle",           role=c("aut"),       email="mattjdowle@gmail.com"),
+  person("Tyson","Barrett",        role=c("aut","cre"), email="t.barrett88@gmail.com", comment = c(ORCID="0000-0002-2137-1391")),
+  person("Matt","Dowle",           role="aut",          email="mattjdowle@gmail.com"),
   person("Arun","Srinivasan",      role="aut",          email="asrini@pm.me"),
-  person("Jan","Gorecki",          role="ctb"),
-  person("Michael","Chirico",      role="ctb"),
+  person("Jan","Gorecki",          role="aut"),
+  person("Michael","Chirico",      role="aut", comment = c(ORCID="0000-0003-0787-087X")),
+  person("Toby","Hocking",         role="aut", comment = c(ORCID="0000-0002-3146-0865")),
+  person("Benjamin","Schwendinger",role="aut", comment = c(ORCID="0000-0003-3315-8114")),
+  person("Ivan", "Krylov",         role="aut",          email="ikrylov@disroot.org",   comment = c(ORCID="0000-0002-0172-3812")),
   person("Pasha","Stetsenko",      role="ctb"),
   person("Tom","Short",            role="ctb"),
   person("Steve","Lianoglou",      role="ctb"),
@@ -49,7 +64,6 @@
   person("Morgan","Jacob",         role="ctb"),
   person("Michael","Schubmehl",    role="ctb"),
   person("Davis","Vaughan",        role="ctb"),
-  person("Toby","Hocking",         role="ctb"),
   person("Leonardo","Silvestri",   role="ctb"),
   person("Jim","Hester",           role="ctb"),
   person("Anthony","Damico",       role="ctb"),
@@ -61,26 +75,45 @@
   person("Vaclav","Tlapak",        role="ctb"),
   person("Kevin","Ushey",          role="ctb"),
   person("Dirk","Eddelbuettel",    role="ctb"),
-  person("Ben","Schwen",           role="ctb"))
-Depends: R (>= 3.1.0)
-Imports: methods
-Suggests: bit64 (>= 4.0.0), bit (>= 4.0.4), curl, R.utils, xts,
-        nanotime, zoo (>= 1.8-1), yaml, knitr, rmarkdown
-SystemRequirements: zlib
-Description: Fast aggregation of large data (e.g. 100GB in RAM), fast ordered joins, fast add/modify/delete of columns by group using no copies at all, list columns, friendly and fast character-separated-value read/write. Offers a natural and flexible syntax, for faster development.
-License: MPL-2.0 | file LICENSE
-URL: https://r-datatable.com, https://Rdatatable.gitlab.io/data.table,
-        https://github.com/Rdatatable/data.table
-BugReports: https://github.com/Rdatatable/data.table/issues
-VignetteBuilder: knitr
-ByteCompile: TRUE
+  person("Tony","Fischetti",       role="ctb"),
+  person("Ofek","Shilon",          role="ctb"),
+  person("Vadim","Khotilovich",    role="ctb"),
+  person("Hadley","Wickham",       role="ctb"),
+  person("Bennet","Becker",        role="ctb"),
+  person("Kyle","Haynes",          role="ctb"),
+  person("Boniface Christian","Kamgang", role="ctb"),
+  person("Olivier","Delmarcell",   role="ctb"),
+  person("Josh","O'Brien",         role="ctb"),
+  person("Dereck","de Mezquita",   role="ctb"),
+  person("Michael","Czekanski",    role="ctb"),
+  person("Dmitry", "Shemetov",     role="ctb"),
+  person("Nitish", "Jha",          role="ctb"),
+  person("Joshua", "Wu",           role="ctb"),
+  person("Iago", "Giné-Vázquez",   role="ctb"),
+  person("Anirban", "Chetia",      role="ctb"),
+  person("Doris", "Amoakohene",    role="ctb"),
+  person("Angel", "Feliz",         role="ctb"),
+  person("Michael","Young",        role="ctb"),
+  person("Mark", "Seeto",          role="ctb"),
+  person("Philippe", "Grosjean",   role="ctb"),
+  person("Vincent", "Runge",       role="ctb"),
+  person("Christian", "Wia",       role="ctb"),
+  person("Elise", "Maigné",        role="ctb"),
+  person("Vincent", "Rocher",      role="ctb"),
+  person("Vijay", "Lulla",         role="ctb"),
+  person("Aljaž", "Sluga",         role="ctb"),
+  person("Bill", "Evans",          role="ctb")
+  )
 NeedsCompilation: yes
-Packaged: 2023-12-07 20:49:55 UTC; tysonbarrett
-Author: Tyson Barrett [aut, cre],
+Packaged: 2025-02-21 01:19:45 UTC; tysonbarrett
+Author: Tyson Barrett [aut, cre] (<https://orcid.org/0000-0002-2137-1391>),
   Matt Dowle [aut],
   Arun Srinivasan [aut],
-  Jan Gorecki [ctb],
-  Michael Chirico [ctb],
+  Jan Gorecki [aut],
+  Michael Chirico [aut] (<https://orcid.org/0000-0003-0787-087X>),
+  Toby Hocking [aut] (<https://orcid.org/0000-0002-3146-0865>),
+  Benjamin Schwendinger [aut] (<https://orcid.org/0000-0003-3315-8114>),
+  Ivan Krylov [aut] (<https://orcid.org/0000-0002-0172-3812>),
   Pasha Stetsenko [ctb],
   Tom Short [ctb],
   Steve Lianoglou [ctb],
@@ -123,7 +156,6 @@
   Morgan Jacob [ctb],
   Michael Schubmehl [ctb],
   Davis Vaughan [ctb],
-  Toby Hocking [ctb],
   Leonardo Silvestri [ctb],
   Jim Hester [ctb],
   Anthony Damico [ctb],
@@ -135,7 +167,34 @@
   Vaclav Tlapak [ctb],
   Kevin Ushey [ctb],
   Dirk Eddelbuettel [ctb],
-  Ben Schwen [ctb]
+  Tony Fischetti [ctb],
+  Ofek Shilon [ctb],
+  Vadim Khotilovich [ctb],
+  Hadley Wickham [ctb],
+  Bennet Becker [ctb],
+  Kyle Haynes [ctb],
+  Boniface Christian Kamgang [ctb],
+  Olivier Delmarcell [ctb],
+  Josh O'Brien [ctb],
+  Dereck de Mezquita [ctb],
+  Michael Czekanski [ctb],
+  Dmitry Shemetov [ctb],
+  Nitish Jha [ctb],
+  Joshua Wu [ctb],
+  Iago Giné-Vázquez [ctb],
+  Anirban Chetia [ctb],
+  Doris Amoakohene [ctb],
+  Angel Feliz [ctb],
+  Michael Young [ctb],
+  Mark Seeto [ctb],
+  Philippe Grosjean [ctb],
+  Vincent Runge [ctb],
+  Christian Wia [ctb],
+  Elise Maigné [ctb],
+  Vincent Rocher [ctb],
+  Vijay Lulla [ctb],
+  Aljaž Sluga [ctb],
+  Bill Evans [ctb]
 Maintainer: Tyson Barrett <t.barrett88@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-08 11:20:12 UTC
+Date/Publication: 2025-02-22 06:10:02 UTC

=== debian/changelog ===
r-cran-data.table (1.17.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Feb 2025 09:19:31 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64 (>= 4.0.0),
        r-cran-bit (>= 4.0.4),
        r-cran-r.utils,
        r-cran-xts,
        r-cran-zoo (>= 1.8-1),
        r-cran-yaml,
        r-cran-knitr,
        r-cran-markdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/data.table_([-0-9\.]*).tar.gz

## r-cran-data.table 1.17.8+dfsg

=== debian/changelog ===
r-cran-data.table (1.17.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix d/copyright for MPL-2 change that happened in version 1.11.0
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Registry.

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 13:12:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: r-cran-data.table
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
 Homepage: https://cran.r-project.org/package=data.table
-Standards-Version: 4.7.1
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-data.table
 Architecture: any

## r-cran-data.table 1.18.0+dfsg

=== debian/changelog ===
r-cran-data.table (1.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 13 Jan 2026 11:30:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-data.table
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
+Homepage: https://cran.r-project.org/package=data.table
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                architecture-is-64-bit,
                architecture-is-little-endian
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-data.table
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-data.table.git
-Homepage: https://cran.r-project.org/package=data.table
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-data.table
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: @,
          r-cran-bit64 (>= 4.0.0),
         r-cran-bit (>= 4.0.4),
-        r-cran-r.utils,
+        r-cran-r.utils (>= 2.13.0),
         r-cran-xts,
         r-cran-zoo (>= 1.8-1),
         r-cran-yaml,
